/* =========================
   PUBLICATION ACCORDION BLOCK
========================= */
.publication-accordion .e-n-accordion-item-title {
	box-shadow: 0 1px 4px 0 rgba(0, 0, 0, 0.11);
}

/* =========================
   FILTER BLOCK
========================= */

.publication-sorting,
.publication-research-area,
.publication-year {
    background: #fff;
    border-radius: 0 0 8px 8px;
    overflow: hidden;
    margin-bottom: 0;
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.05);
}

/* If your heading is outside these wrappers,
   apply this class to the heading container */
.publication-filter-title {
    position: relative;
    padding: 18px 24px;
    font-size: 16px;
    font-weight: 600;
    color: #333;
    background: #fff;
    cursor: pointer;
    box-shadow: 0 2px 6px rgba(0,0,0,.08);
}


/* =========================
   SORT OPTIONS
========================= */

.publication-sorting label {
    display: block;
    padding: 10px 24px;
    margin: 0;
    font-size: 14px;
    cursor: pointer;
    color: #8E8E8E;
}

.publication-sorting label:has(input:checked) {
    background: #F9F9F9;
    color: #303030;
    font-weight: 600;
}

.publication-sorting input[type="radio"] {
    display: none;
}


/* =========================
   RESEARCH AREA
========================= */
.publication-research-area .research-area-option {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 9px 24px;
    margin: 0;

    font-size: 14px;
    line-height: 1.4;
    cursor: pointer;
    color: #8E8E8E;
}

.publication-research-area .research-area-option input {
    display: none;
}

.publication-research-area .research-area-option span {
    width: 100%;
}


/* Selected row */
.publication-research-area .research-area-option:has(input:checked) {
    background: #F9F9F9;
    color: #303030;
    font-weight: 600;
}


/* X icon */
.publication-research-area .research-area-option:has(input:checked)::after {
    content: "×";
    position: absolute;
    right: 24px;
    top: 50%;
    transform: translateY(-50%);

    font-size: 18px;
    font-weight: 700;
    color: #303030;
}


/* =========================
   YEAR
========================= */
.publication-year label {
    position: relative;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 9px 24px;
    margin: 0;

    font-size: 14px;
    line-height: 1.4;
    cursor: pointer;
    color: #8E8E8E;
}

.publication-year input[type="checkbox"] {
    display: none;
}

.publication-year label:has(input:checked) {
    background: #F9F9F9;
    color: #303030;
    font-weight: 600;
}

.publication-year label:has(input:checked)::after {
    content: "×";
    position: absolute;
    right: 24px;
    top: 50%;
    transform: translateY(-50%);

    font-size: 18px;
    font-weight: 700;
    color: #303030;
}

/* =========================
   CLEAR FILTER
========================= */
.publication-clear-filter {
    display: inline-block;
    padding: 0;
    margin: 0;

    border: 0;
    background: transparent;

    color: #818181;
    font-size: 16px;
    font-weight: 500;
    text-decoration: underline;

    cursor: pointer;
}

.publication-clear-filter:hover,
.publication-clear-filter:focus {
    color: #376FDD;
    background: transparent;
}

/* =========================
   PUBLICATION LOOP GRID
========================= */
.publication-loop-grid .e-loop-item {
    padding-left: 0;
    padding-right: 0;
}

.publication-loop-grid .elementor-post-info__terms-list {
    font-size: 0;
}

.publication-loop-grid .elementor-post-info__terms-list-item {
    font-size: var(--e-global-typography-text-font-size, 16px);
}

.publication-loop-grid .elementor-post-info__terms-list-item:not(:last-child)::after {
    content: " | ";
    white-space: pre;
}

.publication-loop-grid .publication-link a {
	flex-direction: row-reverse
}

.publication-loop-grid .publication-link .elementor-icon-list-text {
	margin-right: 6px;
}

.publication-loop-grid .publication-link a svg {
    width: 12px;
}

.publication-loop-grid .publication-link .elementor-icon-list-item:not(:has(a)) span {
    display: none !important;
}

@media (max-width: 1024px) {
    .blog-grid .elementor-pagination {
        text-align: center !important;
    }
}

/* =========================
   HOVER
========================= */

.publication-research-area .research-area-option:hover,
.publication-year label:hover,
.publication-sorting label:hover {
    background: #fafafa;
}

.publication-loop-grid .publication-link a:hover span,
.publication-loop-grid .publication-link a:hover path {
    color: #003D7C;
    fill: #003D7C;
}